Connexion

Besoin d'aide ? Une question ? Un avis ? Rejoignez nous sur notre salon IRC pour clavarder

Forum

Système et matériels » Imprimantes scanners et Appareils Photo imprimante canon ip 2600 séries problème réinstallation

vephi Membre non connecté

Rang

Avatar

Inscrit le : 08/02/2010 à 14h44

Messages: 245

Le 06/06/2017 à 22h04
Bonsoir,

Suite à un bug avec Mageia 5, j'ai du réinstaller la distribution pour avoir une version propre.

Par conséquent, je dois réinstaller les périphériques et donc mon imprimante.

Il s'agit d'une canon pixma ip 2600 séries installé précédemment, mais je ne parviens pas à réinstaller avec les paquetages que j'ai, lorsque je lance le paquetage : cnijfilter-ip2600series-2.90-1.i386.rpm, j'ai le message suivant qui s'affiche :

certains paquetages demandés ne peuvent pas etre installés :
cnifilter-ip2600 series-2.90-1.i386 car libtiff.so.3 est non satisfait.

J'avais pourtant installé l'imprimante avec ces paquetages avec une mageia précédente.

Merci pour vos aides


carte mère MSI B360M PRO-VDH
processeur Pentium G5400 3.7Ghz
   
lebarhon Membre non connecté

Rang

Avatar

Équipe Mageia Membre d'Honneur

Inscrit le : 09/10/2010 à 14h18

Localisation : Normandie

Messages: 4138

Le 06/06/2017 à 22h51
Bonsoir,

As tu installé libtiff-devel ?


CM Asus Z77-A+i5-2500K+GeForceGT520+RAM8Go
SSD Crucial M4+SSD Samsung EVO
Mageia 6 64 bits
   
Papoteur Membre non connecté

Rang

Avatar

Modérateur Équipe Mageia

Inscrit le : 03/10/2011 à 22h16

Localisation : Metz

Messages: 8040

Le 07/06/2017 à 08h04
Ton pilote est en 32bits. Ton installation est-elle en 32bits ou 64 bits ?
Si tu es en 32bits, la solution est, je crois, de faire passer libtiff.so.5 pour libtiff.so.3
Pour cela, il suffit de créer un lien symbolique entre les deux.
en root
Code BASH :
ln -s /usr/lib/libtiff.so.5 /usr/lib/libtiff.so.3

J'ai aussi une version en 64 bits dans /usr/lib64.


Yves
   
vephi Membre non connecté

Rang

Avatar

Inscrit le : 08/02/2010 à 14h44

Messages: 245

Le 07/06/2017 à 21h31
Bonsoir,

Citation:
lebarhon,

As tu installé libtiff-devel ?


oui, le paquetage est installé.

Citation:
Papoteur,

Ton pilote est en 32bits. Ton installation est-elle en 32bits ou 64 bits ?
Si tu es en 32bits, la solution est, je crois, de faire passer libtiff.so.5 pour libtiff.so.3
Pour cela, il suffit de créer un lien symbolique entre les deux.
en root
Code BASH :

ln -s /usr/lib/libtiff.so.5 /usr/lib/libtiff.so.3


Mon installation est bien en 32 bits, après avoir créé le lien en root, rien ne se passe, j'ai toujours le même message lors du lancement du paquetage rpm.


carte mère MSI B360M PRO-VDH
processeur Pentium G5400 3.7Ghz
   
Papoteur Membre non connecté

Rang

Avatar

Modérateur Équipe Mageia

Inscrit le : 03/10/2011 à 22h16

Localisation : Metz

Messages: 8040

Le 08/06/2017 à 09h13
Oui, j'ai été trop court.
Il faut ensuite forcer l'installation en lui disant de ne pas tenir compte des dépendances.
Code BASH :
urpmi --allow-nodeps cnijfilter-ip2600series-2.90-1.i386.rpm

ou
Code BASH :
rpm -i --nodeps cnijfilter-ip2600series-2.90-1.i386.rpm


Yves
   
vephi Membre non connecté

Rang

Avatar

Inscrit le : 08/02/2010 à 14h44

Messages: 245

Le 08/06/2017 à 21h24
Bonsoir,

Papoteur,

lorsque je lance la commande, voici ce que j'obtiens :

[root@localhost ~]# urpmi --allow-nodeps cnijfilter-ip2600series-2.90-1.i386.rpm
impossible d'accéder au fichier rpm [cnijfilter-ip2600series-2.90-1.i386.rpm]
erreur lors de l'inscription des paquetages locaux


carte mère MSI B360M PRO-VDH
processeur Pentium G5400 3.7Ghz
   
lebarhon Membre non connecté

Rang

Avatar

Équipe Mageia Membre d'Honneur

Inscrit le : 09/10/2010 à 14h18

Localisation : Normandie

Messages: 4138

Le 08/06/2017 à 21h58
Bonjour,

C'est un rpm que tu as téléchargé ? dans ce cas dans la commande tu dois donner le chemin complet du rpm, ou te placer dans son répertoire :
#cd /chemin/vers/le/rpm
Je pense que tu dois aussi installer "cnijifilter-common" avant l'autre Edité par lebarhon Le 08/06/2017 à 22h00


CM Asus Z77-A+i5-2500K+GeForceGT520+RAM8Go
SSD Crucial M4+SSD Samsung EVO
Mageia 6 64 bits
   
funix Membre non connecté

Rang

Avatar

Inscrit le : 17/12/2012 à 21h03

Messages: 835

Le 09/06/2017 à 18h59
j'avais une pixma 3600 sur ma magea5 (changé depuis contre une pima 7250 sur mageia cauldron), j'avais du installer le package d'une ancienne version de libtiff (celle de la mageia 1 !) qu'on trouve ici http://rpmfind.net//linux/RPM/mageia/1/i586/media/core/updates/libtiff3-3.9.5-1.7.mga1.i586.html la version de ta mageia 5 est trop récente.


FUNIX - http://www.funix.org
Mettez un pingouin dans votre PC
Blog - http://olivier.hoarau.org
Site web    
vephi Membre non connecté

Rang

Avatar

Inscrit le : 08/02/2010 à 14h44

Messages: 245

Le 09/06/2017 à 22h43
Bonsoir,

Lebarhon,

ok, compris, effectivement c'est un rpm téléchargé, la manip est faite, ( placé dans répertoire et la ncé la manip).
à priori, ça a du marché, je n'ai plus de message d'erreur lors du lancement du rpm.

par contre, l'imprimante n'est toujours pas reconnue dans les matériels, je n'ai toujouors rien.

funix,

impossible de lancer le package de l'ancienne version de libtiff avec le lien que tu m'as joints.


carte mère MSI B360M PRO-VDH
processeur Pentium G5400 3.7Ghz
   
funix Membre non connecté

Rang

Avatar

Inscrit le : 17/12/2012 à 21h03

Messages: 835

Le 10/06/2017 à 07h49
oui, sur la mageia 5 les package de la pixma 3600 était bugué et ne fonctionnait pas, j'ai installé ceux qu'on peut récupérer sur le site de canon http://www.canon-europe.com/support/consumer_products/products/printers/inkjet/pixma_ip_series/pixma_ip3600.aspx?type=download&language=EN&os=LINUX il faut également le package libtiff de la mageia 1 qui est une dépendance
qu'est ce que tu entends "ne se lance pas" ?


FUNIX - http://www.funix.org
Mettez un pingouin dans votre PC
Blog - http://olivier.hoarau.org
Site web    
vephi Membre non connecté

Rang

Avatar

Inscrit le : 08/02/2010 à 14h44

Messages: 245

Le 13/06/2017 à 22h28
Bonsoir,

Funix,

le package de la mageia 1 est installé. (je n'ai pas regardé au bon endroit !!), mon imprimante n'est toujours pas reconnue cependant, les packages de la pixma ip 2600 proviennent également du site canon, je les avait conservés.

Je me demande par contre si il ne faut pas désinstaller le package libtiff de la mageia 5 qui est installé avec celui de la mageia 1 ?
J'ai fais l'essai, par contre, il m'est proposé de désinstaller les dépendances de ce package et il y en a pas mal qui doivent etre supprimés.

Que dois je faire ?

Merci.


carte mère MSI B360M PRO-VDH
processeur Pentium G5400 3.7Ghz
   
funix Membre non connecté

Rang

Avatar

Inscrit le : 17/12/2012 à 21h03

Messages: 835

Le 15/06/2017 à 19h04
non, il ne faut pas désinstaller le package libtiff de la mageia 5, il faut forcer l'installation du libtiff de la mageia 1 (avec un rpm -ivh --force), les 2 peuvent très bien cohabiter car ce ne sont pas les mêmes versions.


FUNIX - http://www.funix.org
Mettez un pingouin dans votre PC
Blog - http://olivier.hoarau.org
Site web    
vephi Membre non connecté

Rang

Avatar

Inscrit le : 08/02/2010 à 14h44

Messages: 245

Le 15/06/2017 à 21h42
ok, qu'entends tu par "forcer l'installation du libtiff de la mageia 1" ? parce qu'il est bien installé.


carte mère MSI B360M PRO-VDH
processeur Pentium G5400 3.7Ghz
   
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie